/*
 * SlotHandler.java
 * Created on Jan 4, 2005
 */
package xeus.mudbox.s3c;

import xeus.s3c.Slot;
import xeus.s3c.event.SlotEvent;
import xeus.s3c.event.SlotListener;

/**
 * @author Kamran Zafar
 *
 */
public class SlotHandler implements SlotListener{

    /* (non-Javadoc)
     * @see xeus.s3c.event.SlotListener#slotInvalidated()
     */
    public void slotInvalidated(SlotEvent event) {
        System.out.println("Slot "+((Slot)event.getSource()).getName()+" invalidated");
        
    }

    /* (non-Javadoc)
     * @see xeus.s3c.event.SlotListener#slotUpdated()
     */
    public void slotUpdated(SlotEvent event) {
        System.out.println("Slot "+((Slot)event.getSource()).getName()+" Updated");
        
    }

    /* (non-Javadoc)
     * @see xeus.s3c.event.SlotListener#elementAdded(xeus.s3c.event.SlotEvent)
     */
    public void elementAdded(SlotEvent event) {
        System.out.println("Slot "+((Slot)event.getSource()).getName()+": Elements "+event.getElementName()+" Added");
    }

    /* (non-Javadoc)
     * @see xeus.s3c.event.SlotListener#elementRemoved(xeus.s3c.event.SlotEvent)
     */
    public void elementRemoved(SlotEvent event) {
        System.out.println("Slot "+((Slot)event.getSource()).getName()+": Elements "+event.getElementName()+" Removed");
    }

    /* (non-Javadoc)
     * @see xeus.s3c.event.SlotListener#slotEmptied(xeus.s3c.event.SlotEvent)
     */
    public void slotEmptied(SlotEvent event) {
        System.out.println("Slot "+((Slot)event.getSource()).getName()+" Emptied");   
    }
}
